Subject: 答复: rtgwg Digest, Vol 106, Issue 37

From: Yangang <[email-masked]>
Date: Wed, 23 Oct 2013 09:48:30 +0000

Hi, Mike:

We double check the difference between our draft and the RFC 5715, and read the paper of [OPT] again. 

Yes, their concepts are similar. The section 6.1 of RFC5715 point out the "incremental cost advertisement" is a possible method, and our draft provides an algorithm in detail for this method.

Compare with paper of [OPT], I think there are some differences.

The paper:

1. tries to get a metric adjustment sequence(RMS) for each possible destination, and then optimizes this sequence to ORMS.
2. combines these ORMSs and prunes unnecessary metrics.

As implementers, we compose the draft in a style that it is easily to be realized on router platforms. This draft:

(1) Calculates a metric adjustment scope(link up), and follows these rules:
   1.a) this new metric will make the node i switch to the final best path.
   1.b) this new metric doesn't make other unaffected nodes switch their paths.
(2) Base on the RSPF of linkup and RSPF of linkdown, calculates the best metric adjustment sequence in just one round.

So, we think the overhead of the algorithm in the draft can be less since it calculates the SPF only twice.

-----邮件原件-----
发件人: [email-masked] [mailto:[email-masked]] 代表 [email-masked]
发送时间: 2013年10月22日 17:20
收件人: [email-masked]
主题: rtgwg Digest, Vol 106, Issue 37

If you have received this digest without all the individual message
attachments you will need to update your digest options in your list
subscription.  To do so, go to 

https://www.ietf.org/mailman/listinfo/rtgwg

Click the 'Unsubscribe or edit options' button, log in, and set "Get
MIME or Plain Text Digests?" to MIME.  You can set this option
globally for all the list digests you receive at this point.

Send rtgwg mailing list submissions to
	[email-masked]

To subscribe or unsubscribe via the World Wide Web, visit
	https://www.ietf.org/mailman/listinfo/rtgwg
or, via email, send a message with subject or body 'help' to
	[email-masked]

You can reach the person managing the list at
	[email-masked]

When replying, please edit your Subject line so it is more specific
than "Re: Contents of rtgwg digest..."

Today's Topics:

   1. ??: Soliciting WG feedback and comments on
      draft-zxd-rtgwg-ordered-metric-adjustment-00 (Yangang)
   2. Re: ??: Soliciting WG feedback and comments on
      draft-zxd-rtgwg-ordered-metric-adjustment-00 (Acee Lindem)
   3. ??: ??: Soliciting WG feedback and comments on
      draft-zxd-rtgwg-ordered-metric-adjustment-00 (Yangang)
   4. Re: ??: ??: Soliciting WG feedback and comments on
      draft-zxd-rtgwg-ordered-metric-adjustment-00 (Mike Shand)

----------------------------------------------------------------------

Message: 1
Date: Tue, 22 Oct 2013 01:30:23 +0000
From: Yangang <[email-masked]>
To: Acee Lindem <[email-masked]>
Cc: "Zhangxudong \(zhangxudong, VRP\)" <[email-masked]>,
	"[email-masked]" <[email-masked]>
Subject: ??: Soliciting WG feedback and comments on
	draft-zxd-rtgwg-ordered-metric-adjustment-00
Message-ID:
	<[email-masked]>
	
Content-Type: text/plain; charset="utf-8"

Our draft is similar with section 6.1 in RFC5715, the cost of changed link will be adjusted and advertised, maybe more than one time, this sequence will base on some pre-calculations. But in RFC 6976, each device should calculate the distance with the failue link, base on this distance, each device decide when the FIB will be updated.

-----????-----
???: Acee Lindem [mailto:[email-masked]] 
????: 2013?10?21? 10:07
???: Yangang
??: [email-masked]; Zhangxudong (zhangxudong, VRP)
??: Re: Soliciting WG feedback and comments on draft-zxd-rtgwg-ordered-metric-adjustment-00

Can you contrast this with RFC 6976? You include RFC 6976 in the Normative References but it is never referenced (this will show up if you run idnits). 
Acee 
On Oct 20, 2013, at 9:49 PM, Yangang wrote:

> Hi:
> 
> We had submitted the a new draft: http://tools.ietf.org/html/draft-zxd-rtgwg-ordered-metric-adjustment-00, we want to discuss the micro-loop problem through another method. Your feedback and comments on the rtgwg mailing list are appreciated. 
> 
> Thanks,
> Rahul.Yan
> 
> -----????-----
> ???: [email-masked] [mailto:[email-masked]] 
> ????: 2013?10?18? 15:47
> ???: Zhangxudong (zhangxudong, VRP); Yangang
> ??: New Version Notification for draft-zxd-rtgwg-ordered-metric-adjustment-00.txt
> 
> 
> A new version of I-D, draft-zxd-rtgwg-ordered-metric-adjustment-00.txt
> has been successfully submitted by Xudong Zhang and posted to the
> IETF repository.
> 
> Filename:	 draft-zxd-rtgwg-ordered-metric-adjustment
> Revision:	 00
> Title:		 Algorithm for Ordered Metric Adjustment
> Creation date:	 2013-10-18
> Group:		 Individual Submission
> Number of pages: 10
> URL:             http://www.ietf.org/internet-drafts/draft-zxd-rtgwg-ordered-metric-adjustment-00.txt
> Status:          http://datatracker.ietf.org/doc/draft-zxd-rtgwg-ordered-metric-adjustment
> Htmlized:        http://tools.ietf.org/html/draft-zxd-rtgwg-ordered-metric-adjustment-00
> 
> 
> Abstract:
>   Upon link down event or link up event, each device in network
>   individually schedules route calculation.  Because of different
>   hardware capabilities and internal/external environments, the time to
>   update forwarding entries on these devices are disordered which can
>   cause a transient forwarding loop.  This document introduces a method
>   to prevent forwarding loop by adjusting link metric gradually for
>   several times.
> 
> 
> 
> 
> 
> Please note that it may take a couple of minutes from the time of submission
> until the htmlized version and diff are available at tools.ietf.org.
> 
> The IETF Secretariat
> 
> _______________________________________________
> rtgwg mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/rtgwg

------------------------------

Message: 2
Date: Tue, 22 Oct 2013 01:41:49 +0000
From: Acee Lindem <[email-masked]>
To: Yangang <[email-masked]>
Cc: "Zhangxudong \(zhangxudong, VRP\)" <[email-masked]>,
	"[email-masked]" <[email-masked]>
Subject: Re: ??: Soliciting WG feedback and comments on
	draft-zxd-rtgwg-ordered-metric-adjustment-00
Message-ID:
	<[email-masked]>
Content-Type: text/plain; charset="utf-8"

I'm aware of the basic premise of the two drafts and was not asking for you to restate the obvious. Specifically, what are the benefits and determents of your draft when compared to RFC 6976? 
Acee

On Oct 21, 2013, at 9:30 PM, Yangang wrote:

> Our draft is similar with section 6.1 in RFC5715, the cost of changed link will be adjusted and advertised, maybe more than one time, this sequence will base on some pre-calculations. But in RFC 6976, each device should calculate the distance with the failue link, base on this distance, each device decide when the FIB will be updated.
> 
> -----????-----
> ???: Acee Lindem [mailto:[email-masked]] 
> ????: 2013?10?21? 10:07
> ???: Yangang
> ??: [email-masked]; Zhangxudong (zhangxudong, VRP)
> ??: Re: Soliciting WG feedback and comments on draft-zxd-rtgwg-ordered-metric-adjustment-00
> 
> Can you contrast this with RFC 6976? You include RFC 6976 in the Normative References but it is never referenced (this will show up if you run idnits). 
> Acee 
> On Oct 20, 2013, at 9:49 PM, Yangang wrote:
> 
>> Hi:
>> 
>> We had submitted the a new draft: http://tools.ietf.org/html/draft-zxd-rtgwg-ordered-metric-adjustment-00, we want to discuss the micro-loop problem through another method. Your feedback and comments on the rtgwg mailing list are appreciated. 
>> 
>> Thanks,
>> Rahul.Yan
>> 
>> -----????-----
>> ???: [email-masked] [mailto:[email-masked]] 
>> ????: 2013?10?18? 15:47
>> ???: Zhangxudong (zhangxudong, VRP); Yangang
>> ??: New Version Notification for draft-zxd-rtgwg-ordered-metric-adjustment-00.txt
>> 
>> 
>> A new version of I-D, draft-zxd-rtgwg-ordered-metric-adjustment-00.txt
>> has been successfully submitted by Xudong Zhang and posted to the
>> IETF repository.
>> 
>> Filename:	 draft-zxd-rtgwg-ordered-metric-adjustment
>> Revision:	 00
>> Title:		 Algorithm for Ordered Metric Adjustment
>> Creation date:	 2013-10-18
>> Group:		 Individual Submission
>> Number of pages: 10
>> URL:             http://www.ietf.org/internet-drafts/draft-zxd-rtgwg-ordered-metric-adjustment-00.txt
>> Status:          http://datatracker.ietf.org/doc/draft-zxd-rtgwg-ordered-metric-adjustment
>> Htmlized:        http://tools.ietf.org/html/draft-zxd-rtgwg-ordered-metric-adjustment-00
>> 
>> 
>> Abstract:
>>  Upon link down event or link up event, each device in network
>>  individually schedules route calculation.  Because of different
>>  hardware capabilities and internal/external environments, the time to
>>  update forwarding entries on these devices are disordered which can
>>  cause a transient forwarding loop.  This document introduces a method
>>  to prevent forwarding loop by adjusting link metric gradually for
>>  several times.
>> 
>> 
>> 
>> 
>> 
>> Please note that it may take a couple of minutes from the time of submission
>> until the htmlized version and diff are available at tools.ietf.org.
>> 
>> The IETF Secretariat
>> 
>> _______________________________________________
>> rtgwg mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/rtgwg
> 

------------------------------

Message: 3
Date: Tue, 22 Oct 2013 03:39:55 +0000
From: Yangang <[email-masked]>
To: Acee Lindem <[email-masked]>
Cc: "Zhangxudong \(zhangxudong, VRP\)" <[email-masked]>,
	"[email-masked]" <[email-masked]>
Subject: ??: ??: Soliciting WG feedback and comments on
	draft-zxd-rtgwg-ordered-metric-adjustment-00
Message-ID:
	<[email-masked]>
	
Content-Type: text/plain; charset="utf-8"

OK, I got it.

Actually, we pay attention to two point:

1. Which method will be more nicety? In RFC6976, all devices in network need calculate the schedule time, base on the different hardware and environment, we worry about its effect. In our draft, only failure point adjust the cost, the other device just response the cost change. I think the effect of this kind of difference will be less.

2. Due to no new extension, maybe the distribution will be more smoothly.

-----????-----
???: Acee Lindem [mailto:[email-masked]] 
????: 2013?10?22? 9:42
???: Yangang
??: [email-masked]; Zhangxudong (zhangxudong, VRP)
??: Re: ??: Soliciting WG feedback and comments on draft-zxd-rtgwg-ordered-metric-adjustment-00

I'm aware of the basic premise of the two drafts and was not asking for you to restate the obvious. Specifically, what are the benefits and determents of your draft when compared to RFC 6976? 
Acee

On Oct 21, 2013, at 9:30 PM, Yangang wrote:

> Our draft is similar with section 6.1 in RFC5715, the cost of changed link will be adjusted and advertised, maybe more than one time, this sequence will base on some pre-calculations. But in RFC 6976, each device should calculate the distance with the failue link, base on this distance, each device decide when the FIB will be updated.
> 
> -----????-----
> ???: Acee Lindem [mailto:[email-masked]] 
> ????: 2013?10?21? 10:07
> ???: Yangang
> ??: [email-masked]; Zhangxudong (zhangxudong, VRP)
> ??: Re: Soliciting WG feedback and comments on draft-zxd-rtgwg-ordered-metric-adjustment-00
> 
> Can you contrast this with RFC 6976? You include RFC 6976 in the Normative References but it is never referenced (this will show up if you run idnits). 
> Acee 
> On Oct 20, 2013, at 9:49 PM, Yangang wrote:
> 
>> Hi:
>> 
>> We had submitted the a new draft: http://tools.ietf.org/html/draft-zxd-rtgwg-ordered-metric-adjustment-00, we want to discuss the micro-loop problem through another method. Your feedback and comments on the rtgwg mailing list are appreciated. 
>> 
>> Thanks,
>> Rahul.Yan
>> 
>> -----????-----
>> ???: [email-masked] [mailto:[email-masked]] 
>> ????: 2013?10?18? 15:47
>> ???: Zhangxudong (zhangxudong, VRP); Yangang
>> ??: New Version Notification for draft-zxd-rtgwg-ordered-metric-adjustment-00.txt
>> 
>> 
>> A new version of I-D, draft-zxd-rtgwg-ordered-metric-adjustment-00.txt
>> has been successfully submitted by Xudong Zhang and posted to the
>> IETF repository.
>> 
>> Filename:	 draft-zxd-rtgwg-ordered-metric-adjustment
>> Revision:	 00
>> Title:		 Algorithm for Ordered Metric Adjustment
>> Creation date:	 2013-10-18
>> Group:		 Individual Submission
>> Number of pages: 10
>> URL:             http://www.ietf.org/internet-drafts/draft-zxd-rtgwg-ordered-metric-adjustment-00.txt
>> Status:          http://datatracker.ietf.org/doc/draft-zxd-rtgwg-ordered-metric-adjustment
>> Htmlized:        http://tools.ietf.org/html/draft-zxd-rtgwg-ordered-metric-adjustment-00
>> 
>> 
>> Abstract:
>>  Upon link down event or link up event, each device in network
>>  individually schedules route calculation.  Because of different
>>  hardware capabilities and internal/external environments, the time to
>>  update forwarding entries on these devices are disordered which can
>>  cause a transient forwarding loop.  This document introduces a method
>>  to prevent forwarding loop by adjusting link metric gradually for
>>  several times.
>> 
>> 
>> 
>> 
>> 
>> Please note that it may take a couple of minutes from the time of submission
>> until the htmlized version and diff are available at tools.ietf.org.
>> 
>> The IETF Secretariat
>> 
>> _______________________________________________
>> rtgwg mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/rtgwg
> 

------------------------------

Message: 4
Date: Tue, 22 Oct 2013 10:20:11 +0100
From: Mike Shand <[email-masked]>
To: [email-masked]
Subject: Re: ??: ??: Soliciting WG feedback and comments on
	draft-zxd-rtgwg-ordered-metric-adjustment-00
Message-ID: <[email-masked]>
Content-Type: text/plain; charset=UTF-8; format=flowed

So you have described the difference with OFIB (RFC 6976), but how does 
your proposal differ from "incremental cost advertisement" as described 
in RFC 5715 section 6.1?

Mike

On 22/10/2013 04:39, Yangang wrote:
> OK, I got it.
>
> Actually, we pay attention to two point:
>
> 1. Which method will be more nicety? In RFC6976, all devices in network need calculate the schedule time, base on the different hardware and environment, we worry about its effect. In our draft, only failure point adjust the cost, the other device just response the cost change. I think the effect of this kind of difference will be less.
>
> 2. Due to no new extension, maybe the distribution will be more smoothly.
>
> -----????-----
> ???: Acee Lindem [mailto:[email-masked]]
> ????: 2013?10?22? 9:42
> ???: Yangang
> ??: [email-masked]; Zhangxudong (zhangxudong, VRP)
> ??: Re: ??: Soliciting WG feedback and comments on draft-zxd-rtgwg-ordered-metric-adjustment-00
>
> I'm aware of the basic premise of the two drafts and was not asking for you to restate the obvious. Specifically, what are the benefits and determents of your draft when compared to RFC 6976?
> Acee
>
> On Oct 21, 2013, at 9:30 PM, Yangang wrote:
>
>> Our draft is similar with section 6.1 in RFC5715, the cost of changed link will be adjusted and advertised, maybe more than one time, this sequence will base on some pre-calculations. But in RFC 6976, each device should calculate the distance with the failue link, base on this distance, each device decide when the FIB will be updated.
>>
>> -----????-----
>> ???: Acee Lindem [mailto:[email-masked]]
>> ????: 2013?10?21? 10:07
>> ???: Yangang
>> ??: [email-masked]; Zhangxudong (zhangxudong, VRP)
>> ??: Re: Soliciting WG feedback and comments on draft-zxd-rtgwg-ordered-metric-adjustment-00
>>
>> Can you contrast this with RFC 6976? You include RFC 6976 in the Normative References but it is never referenced (this will show up if you run idnits).
>> Acee
>> On Oct 20, 2013, at 9:49 PM, Yangang wrote:
>>
>>> Hi:
>>>
>>> We had submitted the a new draft: http://tools.ietf.org/html/draft-zxd-rtgwg-ordered-metric-adjustment-00, we want to discuss the micro-loop problem through another method. Your feedback and comments on the rtgwg mailing list are appreciated.
>>>
>>> Thanks,
>>> Rahul.Yan
>>>
>>> -----????-----
>>> ???: [email-masked] [mailto:[email-masked]]
>>> ????: 2013?10?18? 15:47
>>> ???: Zhangxudong (zhangxudong, VRP); Yangang
>>> ??: New Version Notification for draft-zxd-rtgwg-ordered-metric-adjustment-00.txt
>>>
>>>
>>> A new version of I-D, draft-zxd-rtgwg-ordered-metric-adjustment-00.txt
>>> has been successfully submitted by Xudong Zhang and posted to the
>>> IETF repository.
>>>
>>> Filename:	 draft-zxd-rtgwg-ordered-metric-adjustment
>>> Revision:	 00
>>> Title:		 Algorithm for Ordered Metric Adjustment
>>> Creation date:	 2013-10-18
>>> Group:		 Individual Submission
>>> Number of pages: 10
>>> URL:             http://www.ietf.org/internet-drafts/draft-zxd-rtgwg-ordered-metric-adjustment-00.txt
>>> Status:          http://datatracker.ietf.org/doc/draft-zxd-rtgwg-ordered-metric-adjustment
>>> Htmlized:        http://tools.ietf.org/html/draft-zxd-rtgwg-ordered-metric-adjustment-00
>>>
>>>
>>> Abstract:
>>>   Upon link down event or link up event, each device in network
>>>   individually schedules route calculation.  Because of different
>>>   hardware capabilities and internal/external environments, the time to
>>>   update forwarding entries on these devices are disordered which can
>>>   cause a transient forwarding loop.  This document introduces a method
>>>   to prevent forwarding loop by adjusting link metric gradually for
>>>   several times.
>>>
>>>
>>>
>>>
>>>
>>> Please note that it may take a couple of minutes from the time of submission
>>> until the htmlized version and diff are available at tools.ietf.org.
>>>
>>> The IETF Secretariat
>>>
>>> _______________________________________________
>>> rtgwg mailing list
>>> [email-masked]
>>> https://www.ietf.org/mailman/listinfo/rtgwg
> _______________________________________________
> rtgwg mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/rtgwg

------------------------------

_______________________________________________
rtgwg mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/rtgwg

End of rtgwg Digest, Vol 106, Issue 37
**************************************